name: "VictoriaMetrics Too Many Warning or Error Logs"
expression: |
  sum(increase(vm_log_messages_total{level!="info", job=~".*(agent|vminsert|vmselect|vmstorage|vmauth).*"}[5m])) without (app_version, location, is_printed) > 35
threshold: 40
condition_type: "gt"
for: "15m"
need_reduce: true
reducer_type: "last"
no_data_state: "OK"
exec_err_state: "Error"
labels:
  service: "vmcomponents"
  severity: "warning"
  status: "test"
summary: |
  Слишком много сообщений типа "error"/"warning" по {{ $labels.job }} от инстанса {{ $labels.instance }}.
description: |
  Компонент '{{ $labels.job }}' (инстанс {{ $labels.instance }}) генерирует слишком много логов уровня 'warning' или 'error'.
  
  **Влияние:** Это указывает на наличие скрытых проблем, которые могут привести к деградации производительности или будущим сбоям.